import { Component } from 'react';
export default class Hue extends Component<any, any> {
    containerRef: import("react").RefObject<HTMLDivElement>;
    eventCancelList: (() => void)[];
    componentWillUnmount(): void;
    handleChange: ((e: any, skip?: boolean) => void) & import("../../utils/types").ICancelable;
    handleTouch: (e: React.TouchEvent) => void;
    handleMouseDown: (e: React.MouseEvent) => void;
    handleMouseUp: () => void;
    unbindEventListeners(): void;
    render(): JSX.Element;
}
